<?php

// +-----------------------------------------------------------------------+
// |                             functions                                 |
// +-----------------------------------------------------------------------+


global $user, $template, $lang, $conf;


function counter_compare($a, $b)
{
  if ($a['counter'] == $b['counter'])
  {
    return id_compare($a, $b);
  }

  return ($a['counter'] < $b['counter']) ? +1 : -1;
}

function id_compare($a, $b)
{
  return ($a['id'] < $b['id']) ? -1 : 1;
}

check_status(ACCESS_GUEST);

// +-----------------------------------------------------------------------+
// |                        tag cloud construction                         |
// +-----------------------------------------------------------------------+

// find all tags available for the current user
$tags = get_available_tags();

// we want only the first most represented tags, so we sort them by counter
// and take the first tags
usort($tags, 'counter_compare');
$tags = array_slice($tags, 0, $conf['full_tag_cloud_items_number']);

// depending on its counter and the other tags counter, each tag has a level
$tags = add_level_to_tags($tags);

// we want tags diplayed in alphabetic order
usort($tags, 'name_compare');

// display sorted tags
foreach ($tags as $tag)
{
  $template->assign_block_vars(
    'tag',
    array(
      'URL' => make_index_url(
        array(
          'tags' => array($tag),
          )
        ),

      'NAME' => $tag['name'],
      'TITLE' => $tag['counter'],
      'CLASS' => 'tagLevel'.$tag['level'],
      )
    );
}



  $template->set_filenames(array('nbc_tagsonindex' => dirname(__FILE__) . '/nbc_tagsonindex.tpl'));

  if (method_exists($template, 'concat_var_from_handle'))
  {
    $template->concat_var_from_handle('PLUGIN_INDEX_CONTENT_END', 'nbc_tagsonindex');
  }
  else
  {
    $template->concat_var('PLUGIN_INDEX_CONTENT_END', $template->parse('nbc_tagsonindex', true));
  }


?>
